aboutsummaryrefslogtreecommitdiff
path: root/network/geomyidae/rc.geomyidae.new
diff options
context:
space:
mode:
Diffstat (limited to 'network/geomyidae/rc.geomyidae.new')
-rw-r--r--network/geomyidae/rc.geomyidae.new28
1 files changed, 28 insertions, 0 deletions
diff --git a/network/geomyidae/rc.geomyidae.new b/network/geomyidae/rc.geomyidae.new
new file mode 100644
index 000000000000..34c2c75317b3
--- /dev/null
+++ b/network/geomyidae/rc.geomyidae.new
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+PID=$(pidof -o %PPID /usr/bin/geomyidae)
+
+case "$1" in
+ start)
+ echo "Starting geomyidae"
+ [ -z "$PID" ] && /usr/bin/geomyidae $GEOMYIDAE_ARGS 2>&1
+ if [ $? -gt 0 ]; then
+ echo "Startup failed"
+ fi
+ ;;
+ stop)
+ echo "Stopping geomyidae"
+ [ -n "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ echo "Stopping failed"
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
+